#include <SPI.h>
#include "ozbot.h"			//設定OZBOT

//定義按鈕腳位
#define Button_1    9

void setup() {
  pinMode(Button_1, INPUT);
  digitalWrite(Button_1, HIGH);
  OzBot.Clear();
  OzBot.ShowString("Compass");
}
void loop() {

  if (digitalRead(Button_1) == LOW) {
    CompassCal();
  }
  DisCompass();
}
// 取得並顯示電子邏盤角度
void DisCompass() {
  unsigned int Com;
  OzBot.GetCompass(Com);
  OzBot.CursorRC(2, 1);
  OzBot.ShowString("Ang:");
  OzBot.Display(Com) ;
  OzBot.ClearEOL();
  delay(500);
}

//執行電子邏盤校正
void CompassCal(void) {

  OzBot.Clear();
  OzBot.ShowString("Compass");
  OzBot.CR();
  OzBot.ShowString("Cal....");
  delay(1000);
  OzBot.SetVelLR(200, -200);
  OzBot.CompassCal(1);
  delay(3000);
  delay(3000);
  delay(3000);
  delay(3000);
  OzBot.StopDual();
  OzBot.Clear();
  OzBot.ShowString("Compass");
  OzBot.CR();
  OzBot.ShowString("Cal OK!");
}
