#include <SPI.h>
#include "ozbot.h"			//設定OZBOT

//定義按鈕腳位
#define Button_1 9

void setup() {

  pinMode(Button_1, INPUT);
  digitalWrite(Button_1, HIGH);

}
void loop() {
  if (digitalRead(Button_1) == LOW) {
    CalGSensorGyro();
  }
  GetGSensorGyro();
}

// 取得並顯示GSensor Gyro數值
void GetGSensorGyro() {
  int iX, iY, iZ;
  OzBot.GetAccXYZ(iX, iY, iZ);
  Serial.print("ACC X: "); Serial.println(iX);
  Serial.print("ACC Y: "); Serial.println(iY);
  Serial.print("ACC Z: "); Serial.println(iZ);

  OzBot.GetGyroXYZ(iX, iY, iZ);
  Serial.print("GYRO X: "); Serial.println(iX);
  Serial.print("GYRO Y: "); Serial.println(iY);
  Serial.print("GYRO Z: "); Serial.println(iZ);
}

// 執行GSensor Gyro校正
void CalGSensorGyro() {

  Serial.println("Cal GSensor Gyro...");
  OzBot.AccCal();
  delay(1000);
  OzBot.GyroCal();
  delay(1000);
  Serial.println("Cal OK!!");
  delay(2000);
}
