#define LED1 	12       //定義LED燈腳位
#define LED2 	13
#define Button_1	 9    //定義按鈕腳位
#define Button_2 	 8
void setup() {
  pinMode(LED1, OUTPUT);
  pinMode(LED2, OUTPUT);
  pinMode(Button_1, INPUT);
  pinMode(Button_2, INPUT);  
  digitalWrite(Button_1, HIGH);
  digitalWrite(Button_2, HIGH);    
}
void loop() {
  //偵測按鈕是否按下，若按下則跳至Turn_On_LED1
  if (digitalRead(Button_1) == LOW) {
    TurnOnLED(LED1); //執行點亮LED副程式
  }
  //偵測按鈕是否按下，若按下則跳至Turn_On_LED2
  if (digitalRead(Button_2) == LOW) {
    TurnOnLED(LED2); //執行點亮LED副程式
  }
}

void TurnOnLED(unsigned char bLED) {
  digitalWrite(bLED, HIGH); 	//點亮bLED
  delay(500);		//暫停0.5秒
  digitalWrite(bLED, LOW);	//熄滅bLED
  delay(500);		//暫停0.5秒
}

