#include <SPI.h>
#include "ozbot.h"	//設定OZBOT

#define BUTTON1	  9
unsigned char bOptiCnt, bCnt ;
unsigned char bPoint, bCross, bDir ;
int iLSteps, iRSteps;
void setup() {
  pinMode(BUTTON1, INPUT);
  digitalWrite(BUTTON1, HIGH);  
}
void loop() {
  if (digitalRead(BUTTON1) == LOW) {
    OzBot.GetOptiPathCnt(bOptiCnt);
    Serial.println("Start reading：");
    Serial.print("Total：");
    Serial.println(bOptiCnt);

    for (bCnt = 0; bCnt < bOptiCnt; bCnt++)  {
      OzBot.OptimumPath(bCnt, bPoint, bCross, bDir, iLSteps, iRSteps);
      Serial.print("Section");
      Serial.println(bCnt);
      Serial.print("Num：");
      Serial.println(bPoint);
      Serial.print("Type："); Serial.println(bCross);
      Serial.print("Direction ");Serial.println(bDir);
      Serial.print("Left  ");Serial.println(iLSteps);
      Serial.print("Right ");Serial.println(iRSteps);
    }
    Serial.println("Done");
   }
}
