#include <SPI.h>
#include "ozbot.h"
int16_t L, R;
void setup(void)
{
  pinMode(8, INPUT);
  pinMode(9, INPUT);
  digitalWrite(8, HIGH);
  digitalWrite(9, HIGH);
  pinMode(12, OUTPUT);
  pinMode(13, OUTPUT);
  OzBot.LowBatteryAlarmOff();
}
uint8_t Cnt;
void loop(void)
{ 
  if(digitalRead(8) == LOW) {
    OzBot.ForwardDual(400);
   delay(2000);
   OzBot.StopDual(); 
  }
  if(digitalRead(9) == LOW) {
    OzBot.BackwardDual(400);
   delay(2000);
   OzBot.StopDual(); 
  }  

  if(++Cnt >= 5) {
    Cnt = 0;
    OzBot.TachInDual(L, R);        
    OzBot.CursorRC(1, 1);
    OzBot.Display(L);
    OzBot.ClearEOL();
    OzBot.CursorRC(2, 1);    
    OzBot.Display(R);    
    OzBot.ClearEOL();    
  }
 
  delay(200);

}
