#ifndef __CC_ARM
#include "innotype.h"
#else
#ifdef __cpluslpus
extern "C" {
#endif

#ifndef __INNO_STM32
#define __INNO_STM32
#include "ht32f175x_275x.h"

#include "ht32f175x_275x_ckcu.h"
#include "ht32f175x_275x_exti.h"
#include "ht32f175x_275x_flash.h"
#include "ht32f175x_275x_rstcu.h"
#include "ht32f175x_275x_gpio.h"
#include "ht32f175x_275x_i2c.h"
#include "ht32f175x_275x_usart.h"
#include "ht32f175x_275x_gptm.h"
#include "ht32f175x_275x_rstcu.h"
#include "ht32f175x_275x_spi.h"


#define NVIC_PRIORITY_GROUP_0          0 /* 0 bits / 4 bits                                      */
#define NVIC_PRIORITY_GROUP_1          1 /* 1 bits / 3 bits                                      */
#define NVIC_PRIORITY_GROUP_2          2 /* 2 bits / 2 bits                                      */
#define NVIC_PRIORITY_GROUP_3          3 /* 3 bits / 1 bits                                      */
#define NVIC_PRIORITY_GROUP_4          4 /* 4 bits / 0 bits                                      */

#define DVB_GPIO_NBR                      2
#define DVB_GPIOA_ID                      0
#define DVB_GPIOB_ID                      1

enum {
PA0 = 0, PA1, PA2, PA3, PA4, PA5, PA6, PA7, PA8, PA9, PA10, PA11, PA12, PA13, PA14, PA15,
PB0, PB1, PB2, PB3, PB4, PB5, PB6, PB7, PB8, PB9, PB10, PB11, PB12, PB13, PB14, PB15,
PC0, PC1, PC2, PC3, PC4, PC5, PC6, PC7, PC8, PC9, PC10, PC11, PC12, PC13, PC14, PC15,
PD0, PD1, PD2, PD3, PD4, PD5, PD6, PD7, PD8, PD9, PD10, PD11, PD12, PD13, PD14, PD15,
PE0, PE1, PE2, PE3, PE4, PE5, PE6, PE7, PE8, PE9, PE10, PE11, PE12, PE13, PE14, PE15
};

enum {
PORTA = 0,  PORTB, PORTC, PORTD, PORTE
};	

enum {
__SUCCESS__, __DMA_DONE__, __DMA_FAILURE__, __DMA_SENDING__, __ERROR__=255
};
#endif

#ifdef __cpluslpus
}
#endif
#endif


